# getBaseUri

#### getBaseUri(uri, includeQuery) → String
Core/getBaseUri.js 26

Given a URI, returns the base path of the URI.

Name | Type | Default | Description
--- | --- | --- | ---
`uri` | String |  | The Uri.
`includeQuery` | Boolean | `false` | optional Whether or not to include the query string and fragment form the uri

##### Returns:

The base path of the Uri.

##### Example:

    // basePath will be "/Gallery/";
    var basePath = Cesium.getBaseUri('/Gallery/simple.czml?value=true&example=false');

    // basePath will be "/Gallery/?value=true&example=false";
    var basePath = Cesium.getBaseUri('/Gallery/simple.czml?value=true&example=false', true);